# $Revision: 1.28.2.1 $, $Date: 2003/03/23 23:40:21 $
Summary:	CIPE - encrypted IP over UDP tunneling
Summary(pl):	CIPE - szyfrowany tunel IP po UDP
Name:		cipe
Version:	1.5.2
%define	_rel	13
Release:	%{_rel}
License:	GPL
Group:		Networking/Daemons
Source0:	http://sites.inka.de/bigred/sw/%{name}-%{version}.tar.gz
Source1:	%{name}.inetd
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-makefile.patch
Patch2:		%{name}-pkcipe-real-peer.patch
Patch3:		%{name}-get_fast_time.patch
Patch4:		%{name}-alpha.patch
%{!?_without_dist_kernel:BuildRequires: kernel-headers}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.6
BuildRequires:	/usr/bin/openssl
BuildRequires:  %{kgcc_package}

BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc
%define		__cc		%{kgcc}

%description
CIPE (the name is shortened from *Crypto IP Encapsulation*) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications.

%description -l pl
CIPE (nazwa to skrt od *Crypto IP Encapsulation*) to pakiet do
tworzenia szyfrowanych tuneli IP. Mona je wykorzysta do budowania
routerw szyfrujcych w VPNach (Prywatnych Sieciach Wirtualnych) i
podobnych zastosowaniach.

%package pkcipe-client
Summary:	The PKCIPE public key tool for CIPE
Summary(pl):	PKCIPE - narzdzie do wykorzystania kluczy publicznych w CIPE
Group:		Networking/Daemons
Prereq:		/usr/bin/openssl
Requires:	%{name} = %{version}
Obsoletes:	%{name}-pkcipe

%description pkcipe-client
CIPE (the name is shortened from *Crypto IP Encapsulation*) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications. This package contains PKCIPE, which simplifies setup of
CIPE tunnels by using autoconfiguration and public/private key
mechanisms.

%description pkcipe-client -l pl
CIPE (nazwa to skrt od *Crypto IP Encapsulation*) to pakiet do
tworzenia szyfrowanych tuneli IP. Mona je wykorzysta do budowania
routerw szyfrujcych w VPNach (Prywatnych Sieciach Wirtualnych) i
podobnych zastosowaniach. Ten pakiet zawiera PKCIPE, ktry uprasza
ustawienie tuneli CIPE przez korzystanie z autokonfiguracji oraz
mechanizmw kluczy publicznych/prywatnych.

%package pkcipe-server
Summary:	The PKCIPE public key tool for CIPE - server side
Summary(pl):	PKCIPE - narzdzie do wykorzystania kluczy publicznych w CIPE
Group:		Networking/Daemons
Requires:	%{name}-pkcipe-client = %{version}
Requires:	inetdaemon

%description pkcipe-server
CIPE (the name is shortened from *Crypto IP Encapsulation*) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications. This package contains server part PKCIPE, which simplifies
setup of CIPE tunnels by using autoconfiguration and public/private key
mechanisms.

%description pkcipe-server -l pl
CIPE (nazwa to skrt od *Crypto IP Encapsulation*) to pakiet do
tworzenia szyfrowanych tuneli IP. Mona je wykorzysta do budowania
routerw szyfrujcych w VPNach (Prywatnych Sieciach Wirtualnych) i
podobnych zastosowaniach. Ten pakiet zawiera PKCIPE do uycia po stronie
serwera, ktry uprasza ustawienie tuneli CIPE przez korzystanie z
autokonfiguracji oraz mechanizmw kluczy publicznych/prywatnych.

%package -n kernel-cipe
Summary:	CIPE kernel module
Summary(pl):	Modu jdra CIPE
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}

%description -n kernel-cipe
CIPE (the name is shortened from *Crypto IP Encapsulation*) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications. This package contains a kernel module compiled for
%{_kernel_ver}%{smpstr}.

%description -n kernel-cipe -l pl
CIPE (nazwa to skrt od *Crypto IP Encapsulation*) to pakiet do
tworzenia szyfrowanych tuneli IP. Mona je wykorzysta do budowania
routerw szyfrujcych w VPNach (Prywatnych Sieciach Wirtualnych) i
podobnych zastosowaniach. Ten pakiet zawiera modu kernela
skompilowany dla %{_kernel_ver}%.

%package -n kernel-smp-cipe
Summary:	CIPE kernel module
Summary(pl):	Modu jdra CIPE
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}

%description -n kernel-smp-cipe
CIPE (the name is shortened from *Crypto IP Encapsulation*) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications. This package contains a kernel module compiled for
%{_kernel_ver}%{smpstr}.

%description -n kernel-smp-cipe -l pl
CIPE (nazwa to skrt od *Crypto IP Encapsulation*) to pakiet do
tworzenia szyfrowanych tuneli IP. Mona je wykorzysta do budowania
routerw szyfrujcych w VPNach (Prywatnych Sieciach Wirtualnych) i
podobnych zastosowaniach. Ten pakiet zawiera modu kernela
skompilowany dla %{_kernel_ver}-smp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
mv -f conf/aclocal.m4 conf/acinclude.m4
%{__aclocal} -I conf --output=conf/aclocal.m4
%{__autoconf} --include conf/

%configure \
	--with-linux=%{_kernelsrcdir} \
	--with-ciped=%{_sbindir}/ciped-cb

%{__make} modules

mkdir modules/
mv -f */cipcb.o modules/

%{__make} clean

DEFS="-D__SMP__ -D__KERNEL_SMP=1" \
%configure \
	--with-linux=%{_kernelsrcdir} \
	--with-ciped=%{_sbindir}/ciped-cb \
	--enable-smp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_infodir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/cipe/pk \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc \
	$RPM_BUILD_ROOT%{_var}/run/cipe \
	$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

install pkcipe/pkcipe $RPM_BUILD_ROOT%{_sbindir}
install pkcipe/rsa-keygen $RPM_BUILD_ROOT%{_bindir}
mv -f modules/cipcb.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install */cipcb.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install */ciped-cb $RPM_BUILD_ROOT%{_sbindir}
install cipe.info $RPM_BUILD_ROOT%{_infodir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/pkcipe

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post pkcipe-client
[ ! -f %{_sysconfdir}/cipe/identity.priv ] && %{_bindir}/rsa-keygen %{_sysconfdir}/cipe/identity

%post pkcipe-server
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload 1>&2
else
        echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun pkcipe-server
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%post -n kernel-cipe
/sbin/depmod -a

%postun -n kernel-cipe
/sbin/depmod -a

%post -n kernel-smp-cipe
/sbin/depmod -a

%postun -n kernel-smp-cipe
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc README* tcpdump.patch CHANGES samples
%{_infodir}/*
%attr(755,root,root) %{_sbindir}/ciped-cb
%dir %{_sysconfdir}/cipe
%attr(755,root,root) %dir %{_var}/run/cipe

%files pkcipe-client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rsa-keygen
%attr(755,root,root) %{_sbindir}/pkcipe
%attr(700,root,root) %dir %{_sysconfdir}/cipe/pk

%files pkcipe-server
%defattr(644,root,root,755)
%attr(640,root,root) %config %verify(not size mtime md5) /etc/sysconfig/rc-inetd/pkcipe

%files -n kernel-cipe
%defattr(644,root,root,755)
%attr(600,root,root) /lib/modules/%{_kernel_ver}/misc/cipcb.o*

%files -n kernel-smp-cipe
%defattr(644,root,root,755)
%attr(600,root,root) /lib/modules/%{_kernel_ver}smp/misc/cipcb.o*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cipe.spec,v $
Revision 1.28.2.1  2003/03/23 23:40:21  kloczek
- release 13: rebuild against kernel 2.2.25.

Revision 1.28  2002/11/17 20:02:12  kloczek
- release 12: rebuild against kernel 2.2.22-6.

Revision 1.27  2002/11/02 11:32:50  ankry
- rel. 11 (rebuild against kernel 2.2.22-4)

Revision 1.26  2002/10/12 12:52:46  marcus
- rel.10 (rebuild with 2.2.22-3)

Revision 1.25  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/10/04 07:56:22  marcus
- rel.9.
- fixed %%files

Revision 1.23  2002/09/30 14:30:40  kloczek
- release 8: rebuild against kernel 2.2.22.

Revision 1.22  2002/09/15 19:30:52  kloczek
- release 7: rebuild against kernel 2.2.21-7.

Revision 1.21  2002/08/29 10:38:39  qboosh
- fixed build on alpha (not tested if works)
- new %%doc, release 6

Revision 1.20  2002/07/21 07:27:03  jajcus
- cipe-get_fast_time.patch added for building with our kernel 2.4.x

Revision 1.19  2002/07/20 14:18:04  jajcus
- put SMP module to kernel-smp-cipe and UP do kernel-cipe subpackages, not the other way

Revision 1.18  2002/05/21 23:12:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/08 06:43:53  misiek
- use %%{kgcc} not kgcc

Revision 1.16  2002/05/07 18:22:51  zagrodzki
- splitted out pkcipe-{client,server}
- rel 5
- STBR

Revision 1.15  2002/04/26 09:49:13  zagrodzki
- pkcipe requires inetdaemon

Revision 1.14  2002/04/26 08:41:00  zagrodzki
- build all packages in one run
- NFUY

Revision 1.13  2002/04/25 16:05:25  arturs
fixed a small typo

Revision 1.12  2002/02/23 01:33:40  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/24 00:00:54  zagrodzki
- splitted out pkcipe package

Revision 1.8  2001/11/23 22:55:11  zagrodzki
- added prereq: openssl
- rel. 2
- STBR

Revision 1.7  2001/11/22 15:27:42  zagrodzki
- fixed compilation flags for smp/non-smp

Revision 1.6  2001/11/08 13:56:52  qboosh
- typo, pl summaries; kernel* Prereq: /sbin/depmod

Revision 1.5  2001/11/07 16:55:19  zagrodzki
- typo

Revision 1.4  2001/11/07 16:52:32  zagrodzki
- give explicit name of ciped

Revision 1.3  2001/11/07 16:39:13  zagrodzki
- permissions on /etc/cipe/pk directory

Revision 1.2  2001/11/07 16:36:01  zagrodzki
- set KDEFS only if %%smp is set

Revision 1.1  2001/11/07 16:00:00  zagrodzki
- initial revision
